multiview.h File Reference
SPA » Parameters

`spa/param/video/multiview.h` More...

Go to the source code of this file.

## Enumerations

enum

spa_video_multiview_mode {
SPA_VIDEO_MULTIVIEW_MODE_NONE = -1 , SPA_VIDEO_MULTIVIEW_MODE_MONO = 0 , SPA_VIDEO_MULTIVIEW_MODE_LEFT , SPA_VIDEO_MULTIVIEW_MODE_RIGHT ,
SPA_VIDEO_MULTIVIEW_MODE_SIDE_BY_SIDE , SPA_VIDEO_MULTIVIEW_MODE_SIDE_BY_SIDE_QUINCUNX , SPA_VIDEO_MULTIVIEW_MODE_COLUMN_INTERLEAVED , SPA_VIDEO_MULTIVIEW_MODE_ROW_INTERLEAVED ,
SPA_VIDEO_MULTIVIEW_MODE_TOP_BOTTOM , SPA_VIDEO_MULTIVIEW_MODE_CHECKERBOARD , SPA_VIDEO_MULTIVIEW_MODE_FRAME_BY_FRAME = 32 , SPA_VIDEO_MULTIVIEW_MODE_MULTIVIEW_FRAME_BY_FRAME ,
SPA_VIDEO_MULTIVIEW_MODE_SEPARATED
}

| All possible stereoscopic 3D and multiview representations. More...

enum

spa_video_multiview_flags {
SPA_VIDEO_MULTIVIEW_FLAGS_NONE = 0 , SPA_VIDEO_MULTIVIEW_FLAGS_RIGHT_VIEW_FIRST = (1 << 0) , SPA_VIDEO_MULTIVIEW_FLAGS_LEFT_FLIPPED = (1 << 1) , SPA_VIDEO_MULTIVIEW_FLAGS_LEFT_FLOPPED = (1 << 2) ,
SPA_VIDEO_MULTIVIEW_FLAGS_RIGHT_FLIPPED = (1 << 3) , SPA_VIDEO_MULTIVIEW_FLAGS_RIGHT_FLOPPED = (1 << 4) , SPA_VIDEO_MULTIVIEW_FLAGS_HALF_ASPECT = (1 << 14) , SPA_VIDEO_MULTIVIEW_FLAGS_MIXED_MONO = (1 << 15)
}

| spa_video_multiview_flags are used to indicate extra properties of a stereo/multiview stream beyond the frame layout and buffer mapping that is conveyed in the spa_video_multiview_mode. More...

## Detailed Description

`spa/param/video/multiview.h`